Subject: Re: bug#17043: 24.3.50; xft isn't found on OS X 10.9.2 (Macports)

From: Joe Corneli <[email-masked]>
Date: Fri, 28 Mar 2014 02:32:11 +0000

Glenn Morris <[email-masked]> writes:

> Joe Corneli wrote:
>
>> $ export CFLAGS='-I/opt/local/include/ -I/opt/X11/include/ -I/opt/local/lib/'
>> $ export LDFLAGS='-I/opt/local/include/ -I/opt/X11/include/ -I/opt/local/lib/'
>> $ export CPPFLAGS='-I/opt/local/include/ -I/opt/X11/include/ -I/opt/local/lib/'
>
> Perhaps those are not the right settings.

You're correct about that!  The MacPorts maintainer sorted it out for
me.  Here are the correct settings:

export LDFLAGS="-L/opt/local/lib"
export CPPFLAGS="-I/opt/local/include"

This got things to build without any patches.  Sorry for the noise!  

I will however underline my support for http://debbugs.gnu.org/11507.

> Because some people have both Fink and MacPorts installed, they are
> mutually incompatible, and there's no way for us to tell which one, if
> any, they want to use in any particular build

These people are weird, I know, I used to be one of them :-).
-- 
Sent with my mu4e